# class String

start_with? was introduced in 1.8.7, we need to support 1.8.5 and 1.8.6

### Public Instance Methods

bytes(&block) click to toggle source

    # File lib/mcollective/monkey_patches.rb, line 63
    def bytes(&block)
      # This should not be necessary, really ...
      require 'enumerator'
      return to_enum(:each_byte) unless block_given?
      each_byte(&block)
    end

start_with?(str) click to toggle source

    # File lib/mcollective/monkey_patches.rb, line 4
    def start_with?(str)
      return self[0 .. (str.length-1)] == str
    end